
<a class="btn btn-sm btn-default btn-primary" ng-click="openAddCategory(mainCategoryData)" >
    <span ng-if="!mainCategoryData">Add Category</span>
    <span ng-if="mainCategoryData">Edit</span>

</a>